Bug 66365 - Evolution 1.0.5-2.4 has a problem with urls
Summary: Evolution 1.0.5-2.4 has a problem with urls
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: evolution (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-06-08 18:33 UTC by Nathan G. Grennan
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-02 05:44:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathan G. Grennan 2002-06-08 18:33:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020607

Description of problem:
I compiled evolution-1.0.5-2.4 against mozilla-1.0.0-9 and any time I click on a
url in a e-mail, Evolution locks up.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run evolution 1.0.5-2.4
2. select a message with a url
3. click on a url
	

Actual Results:  Evolution locks up

Expected Results:  Evolution to stay responsive and the url to be directed by
the gnome url handler

Additional info:

Comment 1 Nathan G. Grennan 2002-06-08 18:42:58 UTC
I found I don't have this problem with evolution-1.0.5-2 compiled against
mozilla-1.0.0-9. It does require /usr/lib/mozilla-1.0.0  to be added to
/etc/ld.so.conf, but url clicking works fine. I highly suspect the patch to fix
the library problems introduced with Mozilla 1.0 causes this problem. I would
prefer the patch to the ld.so.conf entry.

Comment 2 Jeremy Katz 2002-06-08 21:24:45 UTC
The fun thing is that the only thing the patch does is change where
headers/libraries are looked for and links the libs with -rpath.  There are a
couple of other weird things that I've noticed too, which is why it's not in
rawhide yet :/

Comment 3 Jeremy Katz 2002-07-02 05:44:04 UTC
Looks fixed for me with evolution compiled against mozilla 1.0.1 packages

Comment 4 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated


Note You need to log in before you can comment on or make changes to this bug.